Bug 81787 - [patch] port ftp/fmirror 0.8.4 -r <remotedir> required: does not work with / or .
Summary: [patch] port ftp/fmirror 0.8.4 -r <remotedir> required: does not work with / ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Simon Barner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-02 02:00 UTC by Fred Cox
Modified: 2005-06-07 09:48 UTC (History)
0 users

See Also:


Attachments
file.diff (522 bytes, patch)
2005-06-02 02:00 UTC, Fred Cox
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fred Cox 2005-06-02 02:00:12 UTC
An FTP server that I must mirror does not place the content into a
subdirectory such as "pub".  I can't know a priori what files and directories
are in the top level directory.  Leaving off the -r flag causes this error:
fmirror: remotedir not set

Using -r . or -r / causes output like this:

01:45:21 . @ xxx.com -> .
01:45:21 Connecting to xxx.com...
01:45:21 Connected.
01:45:23 Remote timezone: 420 minutes from GMT
01:45:23 Operation failed: 553 Permission denied.
01:45:23 Could not CWD to '..', aborting

The authors' emails bounce, and the maintainer does not respond.

Fix: Here's a minimal fix that lets me use "-r /".  Another would be to no
longer require -r.
How-To-Repeat: 	Use -r . or -r / or leave -r off.
Comment 1 Simon Barner freebsd_committer 2005-06-06 13:09:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers approval. 


Comment 2 Simon Barner freebsd_committer 2005-06-06 13:09:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->barner

I'll handle this.
Comment 3 Simon Barner freebsd_committer 2005-06-07 09:48:05 UTC
State Changed
From-To: feedback->closed

Committed, thanks.